<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Debug info</title>
    <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic">
    <link rel="stylesheet" href="//cdn.rawgit.com/milligram/milligram/master/dist/milligram.min.css">
    <style>
        .hidden {display: none !important;}
        .wrapper>.container {  padding-bottom: 2rem;  padding-top: 2rem; }
        .disabled {opacity: 0.60; filter: grayscale(100%); pointer-events: none !important;}
        .button-narrow {padding-left: 1em; padding-right: 1em;}
        .message {padding: 0.2em 0.5em; border: 1px solid rgba(127,127,127,0.5); border-radius: 4px; background-color: rgba(127,127,127,0.05); display: inline-block;}
        input {color: #444;}
    </style>
</head>
<body>
    <main class="wrapper">

        <section class="container">
            <h2 class="title">Actions</h2>
            <form action="" method="post">
                {% csrf_token %}
                <input type="submit" class="hidden"/> {# as chromium actually works #}
                <button type="submit" class="hidden"></button> {# according to html5 specs #}
                <div class="row">
                    <div class="column">
                        <h4 class="title">Log In</h4>
                        <input type="text" name="username" id="id_username" placeholder="username" autofocus>
                        <p><i>Log in as any user</i></p>
                    </div>
                    <div class="column">
                        <h4 class="title">Toggle Groups</h4>
                            <select name="toggle_group" id="id_toggle_group" onchange="this.form.submit()">
                                {% for value, name in form.fields.toggle_group.choices %}
                                        <option value="{{ value }}">{% if value %}{{ name }}{% endif %}</option>
                                {% endfor %}
                            </select>
                        <p><i>Add or remove groups for the logged in user</i></p>
                    </div>
                    <div class="column">
                        <h4 class="title">Extras</h4>
                        <button type="submit" name="local-logout" value="local-logout" class="button button-outline button-narrow">Log Out</button>
                        <p><i>Extra actions for development and debugging</i></p>
                    </div>
                    <div class="column {% if not sso_is_configured %}disabled{% endif %}">
                        <h4 class="title">Production Actions</h4>
                        <a class="button button-outline button-narrow" href="{% url "sso-login" %}?next={% url "sso-dev" %}">Log In</a>
                        <a class="button button-outline button-narrow" href="{% url "sso-logout" %}">Log Out</a>
                        <a class="button button-outline button-narrow" href="{% url "sso-saml2-meta" %}" target="_blank">Meta</a>
                        <p><i>{% if sso_is_configured %}These actions are used in production{% else %}SSO is not configured{% endif %}</i></p>
                    </div>
                </div>
            </form>
            {% if next_url %}<p class="message">You will be redirected to: <strong>{{ next_url }}</strong></p>{% endif %}
            {% if user.is_superuser %}
                <p class="message">You are a superuser</p>
            {% elif user.is_staff %}
                <p class="message">You are a staff member</p>
            {% endif %}
        </section>

        {% for table_name, table_contents in tables %}
            <br/>
            <section class="container">
                <h2 class="title">{{ table_name }}</h2>
                <table class="pure-table">
                    {% for k, v in table_contents.items %}
                        <tr><td>{{ k }}</td><td>{{ v }}</td>
                    {% empty %}
                        <tr><td>(empty)</td></tr>
                    {% endfor %}
                </table>
            </section>
            <br/>
        {% endfor %}
    </main>
</body>
</html>
